#ifndef DEF_MYQWTPLOT
#define DEF_MYQWTPLOT
#include <C:\Qwt-6.1.2\include\qwt_plot.h>
#include <C:\Qwt-6.1.2\include\qwt_plot_curve.h>
#include <C:\Qwt-6.1.2\include\qwt_plot_grid.h>
#include <C:\Qwt-6.1.2\include\qwt_symbol.h>
#include <C:\Qwt-6.1.2\include\qwt_legend.h>
#include <math.h>

class MyQWTPlot : public QwtPlot{
public:
	MyQWTPlot();
	void addHistogram(QVector<double> histogram, int color,int neighborhood);
	void addGaussian(double* data, int color);
	void setVisibleQwtCurve(bool checked, int curveNumber);
	void reset();


private:
	QVector<QwtPlotCurve*> m_curves;
};


#endif